Package org.htmlunit.html

# Interface ScriptElement

All Known Implementing Classes:
  `HtmlScript`

public interface ScriptElement
An element which can handle scripts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getScriptCharset()`
  `String`
  `getScriptSource()`
  `boolean`
  `isDeferred()`
  Returns `true` if this script is deferred.
  `boolean`
  `isExecuted()`
  Returns if executed.
  `void`
  `markAsCreatedByDomParser()`
  INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
  Marks this script as created by javascript.
  `void`
  `setExecuted(boolean executed)`
  Sets if executed.
  `boolean`
  `wasCreatedByDomParser()`
  INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
  Returns true if this frame was created by javascript.

- ## Method Details

  - ### isExecuted

    boolean isExecuted()
    Returns if executed.
    Returns:
      if executed

  - ### isDeferred

    boolean isDeferred()
    Returns `true` if this script is deferred.
    Returns:
      `true` if this script is deferred

  - ### setExecuted

    void setExecuted(boolean executed)
    Sets if executed.
    Parameters:
      `executed` - if executed

  - ### getScriptSource

    String getScriptSource()
    Returns:
      the script source url

  - ### getScriptCharset

    String getScriptCharset()
    Returns:
      the charset used for the script encoding

  - ### markAsCreatedByDomParser

    void markAsCreatedByDomParser()
    INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
    Marks this script as created by javascript. Spec: The following scripts will not execute: scripts in XMLHttpRequest's responseXML documents, scripts in DOMParser-created documents, scripts in documents created by XSLTProcessor's transformToDocument feature, and scripts that are first inserted by a script into a Document that was created using the createDocument() API

  - ### wasCreatedByDomParser

    boolean wasCreatedByDomParser()
    INTERNAL API - SUBJECT TO CHANGE AT ANY TIME - USE AT YOUR OWN RISK.
    Returns true if this frame was created by javascript.
    Returns:
      true or false